Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_get_data()

## Synopsis

    const uint8_t *
    bson_get_data (const bson_t *bson);

## Parameters

- `bson`: A bson_t.

## Description

The bson_get_data() function shall return the raw buffer of a bson document. This can be used in conjunction with the `len` property of a bson_t if you want to copy the raw buffer around.

## Returns

A buffer which should not be modified or freed.